Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.graphics.positionpaint.labelicons
Class UnknownIcon

    java.lang.Object
      info.bioinfweb.treegraph.graphics.positionpaint.labelicons.UnknownIcon

All Implemented Interfaces:
  LabelIcon

    public class UnknownIcon

extends java.lang.Object
implements LabelIcon

This icon shall be displayed if an unknown icon ID was specified (e.g. in a document created with a newer version of TreeGraph 2).

Since:
  2.0.25
Author:
  Ben Stöver

Field Summary
`static java.lang.String` | `TEXT`

Constructor Summary
`UnknownIcon()`

Method Summary
`java.lang.String` | `id()` Returns `null`.
`void` | `paint(java.awt.Graphics2D g, float x, float y, IconLabelFormats formats, float pixelsPerMillimeter)` Displays a questionmark.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT

    public static final java.lang.String TEXT

See Also:
  Constant Field Values

Constructor Detail

### UnknownIcon

    public UnknownIcon()

Method Detail

### paint

    public void paint(java.awt.Graphics2D g,
                      float x,
                      float y,
                      IconLabelFormats formats,
                      float pixelsPerMillimeter)

  Displays a questionmark.

  Specified by:
    `paint` in interface `LabelIcon`
  See Also:
    `info.bioinfweb.treegraph.graphics.positionpaint.labelicons.LabelIcon#paint(java.awt.Graphics2D, float, float, info.bioinfweb.treegraph.document.format.LabelFormats, float)`

### id

    public java.lang.String id()

  Returns `null`.

  Specified by:
    `id` in interface `LabelIcon`
  See Also:
    `LabelIcon.id()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD